summaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/sdc-sanity/startup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sdc-os-chef/sdc-sanity/startup.sh')
-rw-r--r--sdc-os-chef/sdc-sanity/startup.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/sdc-os-chef/sdc-sanity/startup.sh b/sdc-os-chef/sdc-sanity/startup.sh
new file mode 100644
index 0000000000..c9faae62e5
--- /dev/null
+++ b/sdc-os-chef/sdc-sanity/startup.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+export CHEFNAME=${ENVNAME}
+cd /root/chef-solo
+chef-solo -c solo.rb -E ${CHEFNAME}
+
+rc=$?
+
+if [[ $rc != 0 ]]; then
+ echo "Sanity failed !!!"
+ exit $rc
+else
+ echo "completed successfully :-)"
+ exit 0
+fi
+
+#/docker-entrypoint.sh